using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace prj_wfrm_centreCall_tickets
{
    public partial class frmCentreAfficherTous : Form
    {
        public frmCentreAfficherTous()
        {
            InitializeComponent();
        }

        private void frmCentreAfficherTous_Load(object sender, EventArgs e)
        {
            if (tab.nbCentres == 0)
            {
                MessageBox.Show("Aucun centre d'appel", "Information", MessageBoxButtons.OK, MessageBoxIcon.Error);
            }
            else
            {
                //parcours du tableau des centres d'appel
                for (int i = 0; i < tab.nbCentres; i++)
                {
                    //configuration d'une ligne de la liste
                    ListViewItem ligne = new ListViewItem();
                    //1ère colonne = n° du centre
                    ligne.Text = tab.centre[i].numero.ToString();
                    //2ème colonne = ville du centre
                    ligne.SubItems.Add(tab.centre[i].ville);
                    

                    //ajout de la ligne dans la liste
                    lvCentre.Items.Add(ligne);
                }
            }
        }
    }
}
